Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class ParameterizedTarget

    java.lang.Object
      |
      +--netscape.security.Target
            |
            +--netscape.security.UserTarget
                  |
                  +--netscape.security.ParameterizedTarget

public class ParameterizedTarget
extends UserTarget

Dummy class.

Constructor Summary
`ParameterizedTarget()`
`ParameterizedTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4)`
`ParameterizedTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] pa, java.lang.Object o)`
`Privilege` | `enablePrivilege(Principal p, java.lang.Object o)`
`java.lang.String` | `getDetailedInfo(java.lang.Object o)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, findTarget, findTarget, findTarget, getDescription, getHelpUrl, getRisk, getRiskColor, getTargetFromDescription, registerTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterizedTarget

    public ParameterizedTarget()

### ParameterizedTarget

    public ParameterizedTarget(java.lang.String s1,
                               Principal p,
                               int i,
                               java.lang.String s2,
                               java.lang.String s3,
                               java.lang.String s4)

### ParameterizedTarget

    public ParameterizedTarget(java.lang.String s1,
                               Principal p,
                               int i,
                               java.lang.String s2,
                               java.lang.String s3,
                               java.lang.String s4,
                               java.lang.String s5)

Method Detail

### getDetailedInfo

    public java.lang.String getDetailedInfo(java.lang.Object o)

  Overrides:
    getDetailedInfo in class Target

### enablePrivilege

    public Privilege enablePrivilege(Principal p,
                                     java.lang.Object o)

  Overrides:
    enablePrivilege in class UserTarget

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa,
                                           java.lang.Object o)

  Overrides:
    checkPrivilegeEnabled in class Target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.